.c-tabs {
  padding: 3rem 0;

  @include md {
    padding: 5rem 0 10rem;
  }

  &__title {
    color: $blue;
    text-align: center;

    @include md {
      margin-bottom: -3rem;
    }
  }

  &__head {
    position: relative;
    z-index: 9;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 1.2rem;
    gap: 2rem 3rem;
    width: 100%;
    margin-bottom: 3rem;
    padding: 2rem 2rem;
    background-color: $white;
    border-radius: 9rem;


    @include md {
      flex-direction: row;
      justify-content: center;
      gap: 2rem;
      margin-bottom: 5rem;
      padding: 0 3rem;
      border-radius: 9rem;
    }

    @include lg {
      gap: 2rem 3rem;
      padding: 0 5rem;
      font-size: 1.4rem;
    }

    &__item {
      display: inline-flex;
      position: relative;
      color: $blue;
      text-transform: uppercase;
      cursor: pointer;
      transition: color 0.2s ease-in-out;

      @include md {
        padding: 3rem 0;
      }

      &:hover {
        color: darken($blue, 20%);
      }

      &::after {
        content: '';
        display: block;
        position: absolute;
        bottom: -1rem;
        left: 0;
        width: 100%;
        height: 0;
        background-color: $cyan;
        transition: all 0.2s ease-in-out;

        @include md {
          bottom: 0;
        }
      }

      &--active {
        &::after {
          height: 0.4rem;
        }
      }

    }  
  }

  &__content {
    &__item {
      display: none;
      flex-direction: row;
      background-color: $white;
      border-radius: 1rem;
      overflow: hidden;

      &--active {
        display: flex;
      }
      
      @include md {
        min-height: 50rem;
      }

      &__visual {
        display: none;
        overflow: hidden;
        flex: 1 0 auto;

        @include md {
          display: block;
          width: 33%;
        }

        img {
          width: 100%;
          height: 100%;
          object-fit: cover;
        }
      }

      &__content {
        padding: 3rem 2rem;
       
        @include md {
          flex: 1 0 auto;
          width: 67%;
          padding: 3rem 6rem;
        }
      }
    }  
  }
}